% \documentclass[noanswers, nolegalese, 11pt]{examjh}
\documentclass[answers, nolegalese]{examjh}
\usepackage{../../../computingfonts}
\usepackage{../../../contentmacros}
\usepackage{listings}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{\sc MA 208, Theory of Computation\hfill Weekly Hand-in\hfill Due: 2022-Mar-21}
\vspace*{1ex}
\begin{center}
 \parbox{0.95\textwidth}{\textit{
  The work that you hand in must be entirely your own. 
  When you write this document, you may not work with anyone else,
  or copy material from the Internet, etc.
  You are of course allowed to use the text, the videos, or the notes
  or discussions from class.
  }}
\end{center}
\vspace*{1ex}
\begin{questions}
\question
Here is a grammar in BNF.
\begin{lstlisting}[basicstyle=\small\tt,columns=fullflexible]
<expr> := '-'? <digit>+ ('.' <digit>+)?
<digit> := '0' | '1' | '2' | '3' | '4' |
    '5' | '6' | '7' | '8' | '9'
\end{lstlisting}
\begin{parts}
\item
Give a derivation of \texttt{-1041}.
\item
Show that the hex number representation \texttt{x03a} is not in the
described language
\item
Is \texttt{3.1415} in the language?
Either produce a derivation or show there is none.
\end{parts}


\end{questions}
\end{document}